diff --git a/Tools/nginx/amh_nginxupdate.sh b/Tools/nginx/amh_nginxupdate.sh
new file mode 100644
index 0000000..ca5c841
--- /dev/null
+++ b/Tools/nginx/amh_nginxupdate.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+Cpunum=`cat /proc/cpuinfo |grep 'processor'|wc -l`;
+nginx_configure=`/usr/local/nginx/sbin/nginx -V 2> /tmp/nginx_configure && cat /tmp/nginx_configure | grep 'configure arguments' | cut -d: -f2 && rm -f /tmp/nginx_configure`;
+new_nginx_configure=$nginx_configure;
+if echo "$new_nginx_configure" | grep 'ngx_http_upstream_check_module' > /dev/null; then
+ new_nginx_configure=`echo $new_nginx_configure | sed "s| --add-module=modules/ngx_http_upstream_check_module||"`;
+fi;
+
+nginx_version=`/usr/local/nginx/sbin/nginx -v 2> /tmp/nginx_version && cat /tmp/nginx_version && rm -f /tmp/nginx_version`;
+echo $nginx_version;
+
+if [ "$nginx_version" != "nginx version: nginx/1.14.0" ]; then
+ cd /usr/local/;
+ wget http://soft.huayizhiyun.com/manage/amh/nginx/nginx-1.14.0.tar.gz;
+ tar -zxf nginx-1.14.0.tar.gz;
+ cd nginx-1.14.0;
+ ./configure $new_nginx_configure;
+ make -j $Cpunum;
+ mv /usr/local/nginx/sbin/nginx /usr/local/nginx/sbin/nginx-old;
+ \cp -a ./objs/nginx /usr/local/nginx/sbin/;
+ kill -USR2 `cat /usr/local/nginx/logs/nginx.pid`;
+ cd /usr/local/;
+ rm -rf nginx-1.14.0 nginx-1.14.0.tar.gz;
+ if grep -q -e "Tengine.*
" /home/wwwroot/index/web/View/index.php; then
+ sed -i "s|Nginx.*
|Nginx 1.14.0
|" /home/wwwroot/index/web/View/index.php;
+ fi
+ if grep -q -e "Nginx.*
" /home/wwwroot/index/web/View/index.php; then
+ sed -i "s|Nginx.*
|Nginx 1.14.0
|" /home/wwwroot/index/web/View/index.php;
+ fi
+fi;
+
+nginx -v
+echo 'AMH Nginx Update Done'
\ No newline at end of file
diff --git a/Tools/nginx/amh_tengineupdate.sh b/Tools/nginx/amh_tengineupdate.sh
new file mode 100644
index 0000000..30d6d82
--- /dev/null
+++ b/Tools/nginx/amh_tengineupdate.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+Cpunum=`cat /proc/cpuinfo |grep 'processor'|wc -l`;
+nginx_configure=`/usr/local/nginx/sbin/nginx -V 2> /tmp/nginx_configure && cat /tmp/nginx_configure | grep 'configure arguments' | cut -d: -f2 && rm -f /tmp/nginx_configure`;
+new_nginx_configure=$nginx_configure;
+if ! echo "$new_nginx_configure" | grep 'with-http_stub_status_module' > /dev/null; then
+ new_nginx_configure="${new_nginx_configure} --with-http_stub_status_module";
+fi;
+if ! echo "$new_nginx_configure" | grep 'with-stream' > /dev/null; then
+ new_nginx_configure="${new_nginx_configure} --with-stream";
+fi;
+if ! echo "$new_nginx_configure" | grep 'ngx_http_upstream_check_module' > /dev/null; then
+ new_nginx_configure="${new_nginx_configure} --add-module=modules/ngx_http_upstream_check_module";
+fi;
+
+nginx_version=`/usr/local/nginx/sbin/nginx -v 2> /tmp/nginx_version && cat /tmp/nginx_version | grep 'Tengine' && rm -f /tmp/nginx_version`;
+echo $nginx_version;
+
+if [ "$nginx_version" != "Tengine version: Tengine/2.3.2" ]; then
+ cd /usr/local/;
+ wget https://soft.huayizhiyun.com/manage/amh/nginx/tengine-2.3.2.tar.gz;
+ tar -zxf tengine-2.3.2.tar.gz;
+ cd tengine-2.3.2;
+ ./configure $new_nginx_configure;
+ make -j $Cpunum;
+ mv /usr/local/nginx/sbin/nginx /usr/local/nginx/sbin/nginx-old;
+ \cp -a ./objs/nginx /usr/local/nginx/sbin/;
+ kill -USR2 `cat /usr/local/nginx/logs/nginx.pid`;
+ cd /usr/local/;
+ rm -rf tengine-2.3.2 tengine-2.3.2.tar.gz;
+ if grep -q -e "Tengine.*
" /home/wwwroot/index/web/View/index.php; then
+ sed -i "s|Tengine.*
|Tengine 2.3.2
|" /home/wwwroot/index/web/View/index.php;
+ fi
+ if grep -q -e "Nginx.*
" /home/wwwroot/index/web/View/index.php; then
+ sed -i "s|Nginx.*
|Tengine 2.3.2
|" /home/wwwroot/index/web/View/index.php;
+ fi
+fi;
+
+nginx -v
+echo 'AMH Tengine Update Done'
\ No newline at end of file